Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231201 - anaconda and hald don't play nicely during livecd install
Summary: anaconda and hald don't play nicely during livecd install
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker Fedora7LiveCD
TreeView+ depends on / blocked
 
Reported: 2007-03-06 19:02 UTC by Jonathan Blandford
Modified: 2013-04-02 04:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 19:19:22 UTC


Attachments (Terms of Use)
hal-lock.1 (deleted)
2007-03-27 19:08 UTC, David Zeuthen
no flags Details

Description Jonathan Blandford 2007-03-06 19:02:00 UTC
I tried to do an install of the livecd image onto a removable harddrive last
night.  The installer seemed to mostly work well, but after anaconda started
partitioning disks, hald/nautilus tried to mount them which confused anaconda,
causing a traceback.  To get the install to fully work I had to disable hald
prior to running the installer.

Comment 1 David Zeuthen 2007-03-06 19:48:36 UTC
(In reply to comment #0)
> To get the install to fully work I had to disable hald
> prior to running the installer.

Disabling automounting via check boxes in g-v-m's preference capplet might have
worked too. 

Anyway, hal really needs a way for apps to disable all automounters (whether
it's the GNOME or KDE one or something else) and I plan to add this feature for
0.5.9 which will hit Rawhide before Test 3. Then the installer can call into
this. Notably this is also needed for things like GParted.

I'll follow up on this bug when this mechanism lands in Rawhide.

     David


Comment 2 David Zeuthen 2007-03-26 01:42:15 UTC
Yesterday and today I wrote the code for doing this

 http://lists.freedesktop.org/archives/hal/2007-March/007764.html

Just a bit of more testing and I'll put this in Rawhide.


Comment 3 David Zeuthen 2007-03-27 05:28:15 UTC
This should now be in Rawhide as well as Test3. Here's a small example of how to
use it

http://gitweb.freedesktop.org/?p=hal.git;a=blob;hb=HEAD;f=examples/interface-locking-test.py

Btw, there's a bug with gnome-mount. It pops up a warning dialog saying

 +-------------------------------------------------------+
 | Cannot mount volume                                   |
 |                                                       |
 | Error org.freedesktop.Hal.Device.InterfaceLocked.     |
 |                                                       |
 | V Details                                             |
 |       The enclosing drive for the volume is locked    |
 +-------------------------------------------------------+

even when it's not invoked by the user. I'll fix this later (it's an easy fix).


Comment 4 David Zeuthen 2007-03-27 19:08:04 UTC
Created attachment 151065 [details]
hal-lock.1

There's also now a hal-lock(1) tool. Attaching the man page. Note that this
tool is not yet in Rawhide. I suspect things like gparted wants to use this
tool.

Comment 5 Jeremy Katz 2007-03-27 21:38:45 UTC
Okay, committed bits to anaconda CVS so that we'll use hal-lock if it's present.
 Needs a little testing once all the bits are in place, but I'll try to test as
is tomorrow

Comment 6 Jeremy Katz 2007-04-02 19:19:22 UTC
And tested now.  So this should be good tomorrow


Note You need to log in before you can comment on or make changes to this bug.